GLISTCOMPARE(1)

NAME
glistcompare - generate union, intersection or difference of k-mers from two list files

SYNOPSIS
glistcompare <INPUTLIST1> <INPUTLIST2> [OPTIONS]

OPTIONS

-v, --version - print version information and exit

-h, --help - print this usage screen and exit

-u, --union - union of input lists

-i, --intersection - intersection of input lists

-d, --difference - difference of input lists

-dd, --double_difference - double difference of input lists

-du, --diff_union - subtract first list from the second and finds difference

-mm, --mismatch
    NUMBER - specify number of mismatches (default 0, can be used with -diff and -ddiff)

-c, --cutoff NUMBER - specify frequency cut-off (default 1)

-o, --outputname STRING - specify output name (default "out")

-r, --rule STRING        - specify rule how final frequencies are calculated (default, add, subtract, min, max, first, second, 1, 2)
    NOTE: rules min, subtract, first and second can only be used with finding the intersection.

-ss --subset METHOD SIZE - make subset with given method (rand_unique)

--count_only - output count of k-mers instead of k-mers themself

--disable_scouts - disable list read-ahead in background thread

-D - increase debug level

EXAMPLES
 You could find some usage examples in /usr/share/doc/genometester/README.GenomeTester4.md

SEE ALSO
 glistquery(1), glistmaker(1), gmer_caller(1), gmer_counter(1)